/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _OPENARCHIVETHREAD_H_
#define _OPENARCHIVETHREAD_H_

#include <qthread.h>
#include <qmutex.h>

class KDarConfig;
class kdar;

class openArchiveThread : public QThread {

public:
	
	openArchiveThread( kdar * kdarWidget );
	virtual ~openArchiveThread();

	virtual void run();
	void setKDarConfig( KDarConfig * );

private:

	KDarConfig * m_kdc;
	
	QMutex mutex;
	kdar *widget;

};


#endif // _OPENARCHIVETHREAD_H_
