/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _POPULATETREEARCHIVETHREAD_H_
#define _POPULATETREEARCHIVETHREAD_H_

#include <qthread.h>
#include <qmutex.h>

class kdar;

class populateTreeArchiveThread : public QThread {

public:

	populateTreeArchiveThread( kdar * kdarWidget );
	virtual ~populateTreeArchiveThread();
	
	virtual void run();

private:

	QMutex mutex;
	kdar * widget;

};

#endif // _POPULATETREEARCHIVETHREAD_H_
