/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@shaw.ca                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _TESTARCHIVETHREAD_H_
#define _TESTARCHIVETHREAD_H_

#include <qthread.h>
#include <qmutex.h>

class KDarConfig;
class kdar;

class testArchiveThread : public QThread {

public:
	testArchiveThread( kdar * kdarWidget );
	virtual ~testArchiveThread();
	
	virtual void run();
	void setKDarConfig( KDarConfig * );

private:

	KDarConfig * m_kdc;
	QMutex mutex;
	kdar * widget;

};



#endif // _TESTARCHIVETHREAD_H_
